package com.qsoft.wmp.services.xsd;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.qsoft.util.ms.pojo.ErrorMS;
import com.qsoft.util.ms.pojo.HeaderMS;
import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;


/**
 * <b> Salida del Servicio Web. </b>
 *
 * @author Jaime Ruales.
 * @version $1.0$
 */
@XmlSeeAlso({HeaderMS.class, ErrorMS.class})
@XmlAccessorType(XmlAccessType.FIELD)
public class SalidaAccion implements Serializable {

    private static final long serialVersionUID = 5403227918589158188L;

    @XmlElement(name = "headerOut")
    @JsonAlias("headerOut")
    protected HeaderMS headerOut;

    @XmlElement(name = "bodyOut")
    @JsonAlias("bodyOut")
    protected BodySalidaAccion bodyOut;

    @XmlElement(name = "error")
    protected ErrorMS error;

    public SalidaAccion() {
        this.error = new ErrorMS();
        this.headerOut = new HeaderMS();
        this.bodyOut = new BodySalidaAccion();        
    }        

    /**
     * Accesor del campo headerOut
     *
     * @return
     */
    public HeaderMS getHeaderOut() {
        return headerOut;
    }

    /**
     * Modificador del campo headerOut
     *
     * @param headerOut
     */
    public void setHeaderOut(final HeaderMS headerOut) {
        this.headerOut = headerOut;
    }

    /**
     * Accesor del campo error
     *
     * @return
     */
    public ErrorMS getError() {
        return error;
    }

    /**
     * Accesor del campo bodyOut
     *
     * @return
     */
    public BodySalidaAccion getBodyOut() {
        return bodyOut;
    }

    /**
     * Modificador del campo bodyOut
     *
     * @param bodyOut
     */
    public void setBodyOut(final BodySalidaAccion bodyOut) {
        this.bodyOut = bodyOut;
    }

    /**
     * Modificador del campo error
     *
     * @param error
     */
    public void setError(final ErrorMS error) {
        this.error = error;
    }

}
